The BOOST_PP_BOOL macro performs a boolean conversion on its operand.

#### Usage

BOOST_PP_BOOL(x)

#### Arguments

x
  The value to be converted. Valid values range from 0 to BOOST_PP_LIMIT_MAG.

#### Remarks

If x is 0, this macro expands to 0. Otherwise it expands to 1.

#### See Also

- BOOST_PP_LIMIT_MAG

#### Requirements

Header: <boost/preprocessor/logical/bool.hpp>

#### Sample Code

    #include <boost/preprocessor/logical/bool.hpp>

    BOOST_PP_BOOL(6) // expands to 1
    BOOST_PP_BOOL(0) // expands to 0